## libarchive 3.1.2

=== tar/CMakeLists.txt ===
############################################
#
# How to build bsdtar
#
############################################
IF(ENABLE_TAR)

  SET(bsdtar_SOURCES
    bsdtar.c
    bsdtar.h
    bsdtar_platform.h
    cmdline.c
    creation_set.c
    read.c
    subst.c
    util.c
    write.c
    ../libarchive_fe/err.c
    ../libarchive_fe/err.h
    ../libarchive_fe/lafe_platform.h
    ../libarchive_fe/line_reader.c
    ../libarchive_fe/line_reader.h
  )
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../libarchive_fe)
  IF(WIN32 AND NOT CYGWIN)
    LIST(APPEND bsdtar_SOURCES bsdtar_windows.c)
    LIST(APPEND bsdtar_SOURCES bsdtar_windows.h)
  ENDIF(WIN32 AND NOT CYGWIN)

  # bsdtar documentation
  SET(bsdtar_MANS bsdtar.1)

  # How to build bsdtar
  ADD_EXECUTABLE(bsdtar ${bsdtar_SOURCES})
  IF(ENABLE_TAR_SHARED)
    TARGET_LINK_LIBRARIES(bsdtar archive ${ADDITIONAL_LIBS})
  ELSE(ENABLE_TAR_SHARED)
    TARGET_LINK_LIBRARIES(bsdtar archive_static ${ADDITIONAL_LIBS})
    SET_TARGET_PROPERTIES(bsdtar PROPERTIES COMPILE_DEFINITIONS
    				 LIBARCHIVE_STATIC)
  ENDIF(ENABLE_TAR_SHARED)
  GET_TARGET_PROPERTY(BSDTAR bsdtar LOCATION)

  # Installation rules
  INSTALL(TARGETS bsdtar RUNTIME DESTINATION bin)
  INSTALL_MAN(${bsdtar_MANS})
ENDIF(ENABLE_TAR)

add_subdirectory(test)

=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc -T html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_entry_acl.3.html: ../../libarchive/archive_entry_acl.3
	groff -mdoc -T html ../../libarchive/archive_entry_acl.3 > archive_entry_acl.3.html

archive_entry_linkify.3.html: ../../libarchive/archive_entry_linkify.3
	groff -mdoc -T html ../../libarchive/archive_entry_linkify.3 > archive_entry_linkify.3.html

archive_entry_paths.3.html: ../../libarchive/archive_entry_paths.3
	groff -mdoc -T html ../../libarchive/archive_entry_paths.3 > archive_entry_paths.3.html

archive_entry_perms.3.html: ../../libarchive/archive_entry_perms.3
	groff -mdoc -T html ../../libarchive/archive_entry_perms.3 > archive_entry_perms.3.html

archive_entry_stat.3.html: ../../libarchive/archive_entry_stat.3
	groff -mdoc -T html ../../libarchive/archive_entry_stat.3 > archive_entry_stat.3.html

archive_entry_time.3.html: ../../libarchive/archive_entry_time.3
	groff -mdoc -T html ../../libarchive/archive_entry_time.3 > archive_entry_time.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc -T html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_data.3.html: ../../libarchive/archive_read_data.3
	groff -mdoc -T html ../../libarchive/archive_read_data.3 > archive_read_data.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc -T html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_read_extract.3.html: ../../libarchive/archive_read_extract.3
	groff -mdoc -T html ../../libarchive/archive_read_extract.3 > archive_read_extract.3.html

archive_read_filter.3.html: ../../libarchive/archive_read_filter.3
	groff -mdoc -T html ../../libarchive/archive_read_filter.3 > archive_read_filter.3.html

archive_read_format.3.html: ../../libarchive/archive_read_format.3
	groff -mdoc -T html ../../libarchive/archive_read_format.3 > archive_read_format.3.html

archive_read_free.3.html: ../../libarchive/archive_read_free.3
	groff -mdoc -T html ../../libarchive/archive_read_free.3 > archive_read_free.3.html

archive_read_header.3.html: ../../libarchive/archive_read_header.3
	groff -mdoc -T html ../../libarchive/archive_read_header.3 > archive_read_header.3.html

archive_read_new.3.html: ../../libarchive/archive_read_new.3
	groff -mdoc -T html ../../libarchive/archive_read_new.3 > archive_read_new.3.html

archive_read_open.3.html: ../../libarchive/archive_read_open.3
	groff -mdoc -T html ../../libarchive/archive_read_open.3 > archive_read_open.3.html

archive_read_set_options.3.html: ../../libarchive/archive_read_set_options.3
	groff -mdoc -T html ../../libarchive/archive_read_set_options.3 > archive_read_set_options.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc -T html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc -T html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_blocksize.3.html: ../../libarchive/archive_write_blocksize.3
	groff -mdoc -T html ../../libarchive/archive_write_blocksize.3 > archive_write_blocksize.3.html

archive_write_data.3.html: ../../libarchive/archive_write_data.3
	groff -mdoc -T html ../../libarchive/archive_write_data.3 > archive_write_data.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc -T html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

archive_write_filter.3.html: ../../libarchive/archive_write_filter.3
	groff -mdoc -T html ../../libarchive/archive_write_filter.3 > archive_write_filter.3.html

archive_write_finish_entry.3.html: ../../libarchive/archive_write_finish_entry.3
	groff -mdoc -T html ../../libarchive/archive_write_finish_entry.3 > archive_write_finish_entry.3.html

archive_write_format.3.html: ../../libarchive/archive_write_format.3
	groff -mdoc -T html ../../libarchive/archive_write_format.3 > archive_write_format.3.html

archive_write_free.3.html: ../../libarchive/archive_write_free.3
	groff -mdoc -T html ../../libarchive/archive_write_free.3 > archive_write_free.3.html

archive_write_header.3.html: ../../libarchive/archive_write_header.3
	groff -mdoc -T html ../../libarchive/archive_write_header.3 > archive_write_header.3.html

archive_write_new.3.html: ../../libarchive/archive_write_new.3
	groff -mdoc -T html ../../libarchive/archive_write_new.3 > archive_write_new.3.html

archive_write_open.3.html: ../../libarchive/archive_write_open.3
	groff -mdoc -T html ../../libarchive/archive_write_open.3 > archive_write_open.3.html

archive_write_set_options.3.html: ../../libarchive/archive_write_set_options.3
	groff -mdoc -T html ../../libarchive/archive_write_set_options.3 > archive_write_set_options.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc -T html ../../libarchive/cpio.5 > cpio.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc -T html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_changes.3.html: ../../libarchive/libarchive_changes.3
	groff -mdoc -T html ../../libarchive/libarchive_changes.3 > libarchive_changes.3.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc -T html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc -T html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc -T html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc -T html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc -T html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc -T html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_entry_acl.3.html archive_entry_linkify.3.html archive_entry_paths.3.html archive_entry_perms.3.html archive_entry_stat.3.html archive_entry_time.3.html archive_read.3.html archive_read_data.3.html archive_read_disk.3.html archive_read_extract.3.html archive_read_filter.3.html archive_read_format.3.html archive_read_free.3.html archive_read_header.3.html archive_read_new.3.html archive_read_open.3.html archive_read_set_options.3.html archive_util.3.html archive_write.3.html archive_write_blocksize.3.html archive_write_data.3.html archive_write_disk.3.html archive_write_filter.3.html archive_write_finish_entry.3.html archive_write_format.3.html archive_write_free.3.html archive_write_header.3.html archive_write_new.3.html archive_write_open.3.html archive_write_set_options.3.html cpio.5.html libarchive.3.html libarchive_changes.3.html libarchive-formats.5.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html

=== doc/text/Makefile ===

default: all


archive_entry.3.txt: ../../libarchive/archive_entry.3
	nroff -mdoc ../../libarchive/archive_entry.3 | col -b > archive_entry.3.txt

archive_entry_acl.3.txt: ../../libarchive/archive_entry_acl.3
	nroff -mdoc ../../libarchive/archive_entry_acl.3 | col -b > archive_entry_acl.3.txt

archive_entry_linkify.3.txt: ../../libarchive/archive_entry_linkify.3
	nroff -mdoc ../../libarchive/archive_entry_linkify.3 | col -b > archive_entry_linkify.3.txt

archive_entry_paths.3.txt: ../../libarchive/archive_entry_paths.3
	nroff -mdoc ../../libarchive/archive_entry_paths.3 | col -b > archive_entry_paths.3.txt

archive_entry_perms.3.txt: ../../libarchive/archive_entry_perms.3
	nroff -mdoc ../../libarchive/archive_entry_perms.3 | col -b > archive_entry_perms.3.txt

archive_entry_stat.3.txt: ../../libarchive/archive_entry_stat.3
	nroff -mdoc ../../libarchive/archive_entry_stat.3 | col -b > archive_entry_stat.3.txt

archive_entry_time.3.txt: ../../libarchive/archive_entry_time.3
	nroff -mdoc ../../libarchive/archive_entry_time.3 | col -b > archive_entry_time.3.txt

archive_read.3.txt: ../../libarchive/archive_read.3
	nroff -mdoc ../../libarchive/archive_read.3 | col -b > archive_read.3.txt

archive_read_data.3.txt: ../../libarchive/archive_read_data.3
	nroff -mdoc ../../libarchive/archive_read_data.3 | col -b > archive_read_data.3.txt

archive_read_disk.3.txt: ../../libarchive/archive_read_disk.3
	nroff -mdoc ../../libarchive/archive_read_disk.3 | col -b > archive_read_disk.3.txt

archive_read_extract.3.txt: ../../libarchive/archive_read_extract.3
	nroff -mdoc ../../libarchive/archive_read_extract.3 | col -b > archive_read_extract.3.txt

archive_read_filter.3.txt: ../../libarchive/archive_read_filter.3
	nroff -mdoc ../../libarchive/archive_read_filter.3 | col -b > archive_read_filter.3.txt

archive_read_format.3.txt: ../../libarchive/archive_read_format.3
	nroff -mdoc ../../libarchive/archive_read_format.3 | col -b > archive_read_format.3.txt

archive_read_free.3.txt: ../../libarchive/archive_read_free.3
	nroff -mdoc ../../libarchive/archive_read_free.3 | col -b > archive_read_free.3.txt

archive_read_header.3.txt: ../../libarchive/archive_read_header.3
	nroff -mdoc ../../libarchive/archive_read_header.3 | col -b > archive_read_header.3.txt

archive_read_new.3.txt: ../../libarchive/archive_read_new.3
	nroff -mdoc ../../libarchive/archive_read_new.3 | col -b > archive_read_new.3.txt

archive_read_open.3.txt: ../../libarchive/archive_read_open.3
	nroff -mdoc ../../libarchive/archive_read_open.3 | col -b > archive_read_open.3.txt

archive_read_set_options.3.txt: ../../libarchive/archive_read_set_options.3
	nroff -mdoc ../../libarchive/archive_read_set_options.3 | col -b > archive_read_set_options.3.txt

archive_util.3.txt: ../../libarchive/archive_util.3
	nroff -mdoc ../../libarchive/archive_util.3 | col -b > archive_util.3.txt

archive_write.3.txt: ../../libarchive/archive_write.3
	nroff -mdoc ../../libarchive/archive_write.3 | col -b > archive_write.3.txt

archive_write_blocksize.3.txt: ../../libarchive/archive_write_blocksize.3
	nroff -mdoc ../../libarchive/archive_write_blocksize.3 | col -b > archive_write_blocksize.3.txt

archive_write_data.3.txt: ../../libarchive/archive_write_data.3
	nroff -mdoc ../../libarchive/archive_write_data.3 | col -b > archive_write_data.3.txt

archive_write_disk.3.txt: ../../libarchive/archive_write_disk.3
	nroff -mdoc ../../libarchive/archive_write_disk.3 | col -b > archive_write_disk.3.txt

archive_write_filter.3.txt: ../../libarchive/archive_write_filter.3
	nroff -mdoc ../../libarchive/archive_write_filter.3 | col -b > archive_write_filter.3.txt

archive_write_finish_entry.3.txt: ../../libarchive/archive_write_finish_entry.3
	nroff -mdoc ../../libarchive/archive_write_finish_entry.3 | col -b > archive_write_finish_entry.3.txt

archive_write_format.3.txt: ../../libarchive/archive_write_format.3
	nroff -mdoc ../../libarchive/archive_write_format.3 | col -b > archive_write_format.3.txt

archive_write_free.3.txt: ../../libarchive/archive_write_free.3
	nroff -mdoc ../../libarchive/archive_write_free.3 | col -b > archive_write_free.3.txt

archive_write_header.3.txt: ../../libarchive/archive_write_header.3
	nroff -mdoc ../../libarchive/archive_write_header.3 | col -b > archive_write_header.3.txt

archive_write_new.3.txt: ../../libarchive/archive_write_new.3
	nroff -mdoc ../../libarchive/archive_write_new.3 | col -b > archive_write_new.3.txt

archive_write_open.3.txt: ../../libarchive/archive_write_open.3
	nroff -mdoc ../../libarchive/archive_write_open.3 | col -b > archive_write_open.3.txt

archive_write_set_options.3.txt: ../../libarchive/archive_write_set_options.3
	nroff -mdoc ../../libarchive/archive_write_set_options.3 | col -b > archive_write_set_options.3.txt

cpio.5.txt: ../../libarchive/cpio.5
	nroff -mdoc ../../libarchive/cpio.5 | col -b > cpio.5.txt

libarchive.3.txt: ../../libarchive/libarchive.3
	nroff -mdoc ../../libarchive/libarchive.3 | col -b > libarchive.3.txt

libarchive_changes.3.txt: ../../libarchive/libarchive_changes.3
	nroff -mdoc ../../libarchive/libarchive_changes.3 | col -b > libarchive_changes.3.txt

libarchive-formats.5.txt: ../../libarchive/libarchive-formats.5
	nroff -mdoc ../../libarchive/libarchive-formats.5 | col -b > libarchive-formats.5.txt

libarchive_internals.3.txt: ../../libarchive/libarchive_internals.3
	nroff -mdoc ../../libarchive/libarchive_internals.3 | col -b > libarchive_internals.3.txt

mtree.5.txt: ../../libarchive/mtree.5
	nroff -mdoc ../../libarchive/mtree.5 | col -b > mtree.5.txt

tar.5.txt: ../../libarchive/tar.5
	nroff -mdoc ../../libarchive/tar.5 | col -b > tar.5.txt

bsdtar.1.txt: ../../tar/bsdtar.1
	nroff -mdoc ../../tar/bsdtar.1 | col -b > bsdtar.1.txt

bsdcpio.1.txt: ../../cpio/bsdcpio.1
	nroff -mdoc ../../cpio/bsdcpio.1 | col -b > bsdcpio.1.txt
all: archive_entry.3.txt archive_entry_acl.3.txt archive_entry_linkify.3.txt archive_entry_paths.3.txt archive_entry_perms.3.txt archive_entry_stat.3.txt archive_entry_time.3.txt archive_read.3.txt archive_read_data.3.txt archive_read_disk.3.txt archive_read_extract.3.txt archive_read_filter.3.txt archive_read_format.3.txt archive_read_free.3.txt archive_read_header.3.txt archive_read_new.3.txt archive_read_open.3.txt archive_read_set_options.3.txt archive_util.3.txt archive_write.3.txt archive_write_blocksize.3.txt archive_write_data.3.txt archive_write_disk.3.txt archive_write_filter.3.txt archive_write_finish_entry.3.txt archive_write_format.3.txt archive_write_free.3.txt archive_write_header.3.txt archive_write_new.3.txt archive_write_open.3.txt archive_write_set_options.3.txt cpio.5.txt libarchive.3.txt libarchive_changes.3.txt libarchive-formats.5.txt libarchive_internals.3.txt mtree.5.txt tar.5.txt bsdtar.1.txt bsdcpio.1.txt

=== doc/wiki/Makefile ===

default: all


ManPageArchiveEntry3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry.3 > ManPageArchiveEntry3.wiki

ManPageArchiveEntryAcl3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_acl.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_acl.3 > ManPageArchiveEntryAcl3.wiki

ManPageArchiveEntryLinkify3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_linkify.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_linkify.3 > ManPageArchiveEntryLinkify3.wiki

ManPageArchiveEntryPaths3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_paths.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_paths.3 > ManPageArchiveEntryPaths3.wiki

ManPageArchiveEntryPerms3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_perms.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_perms.3 > ManPageArchiveEntryPerms3.wiki

ManPageArchiveEntryStat3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_stat.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_stat.3 > ManPageArchiveEntryStat3.wiki

ManPageArchiveEntryTime3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_entry_time.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_entry_time.3 > ManPageArchiveEntryTime3.wiki

ManPageArchiveRead3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read.3 > ManPageArchiveRead3.wiki

ManPageArchiveReadData3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_data.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_data.3 > ManPageArchiveReadData3.wiki

ManPageArchiveReadDisk3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_disk.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_disk.3 > ManPageArchiveReadDisk3.wiki

ManPageArchiveReadExtract3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_extract.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_extract.3 > ManPageArchiveReadExtract3.wiki

ManPageArchiveReadFilter3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_filter.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_filter.3 > ManPageArchiveReadFilter3.wiki

ManPageArchiveReadFormat3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_format.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_format.3 > ManPageArchiveReadFormat3.wiki

ManPageArchiveReadFree3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_free.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_free.3 > ManPageArchiveReadFree3.wiki

ManPageArchiveReadHeader3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_header.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_header.3 > ManPageArchiveReadHeader3.wiki

ManPageArchiveReadNew3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_new.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_new.3 > ManPageArchiveReadNew3.wiki

ManPageArchiveReadOpen3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_open.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_open.3 > ManPageArchiveReadOpen3.wiki

ManPageArchiveReadSetOptions3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_read_set_options.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_read_set_options.3 > ManPageArchiveReadSetOptions3.wiki

ManPageArchiveUtil3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_util.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_util.3 > ManPageArchiveUtil3.wiki

ManPageArchiveWrite3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write.3 > ManPageArchiveWrite3.wiki

ManPageArchiveWriteBlocksize3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_blocksize.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_blocksize.3 > ManPageArchiveWriteBlocksize3.wiki

ManPageArchiveWriteData3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_data.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_data.3 > ManPageArchiveWriteData3.wiki

ManPageArchiveWriteDisk3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_disk.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_disk.3 > ManPageArchiveWriteDisk3.wiki

ManPageArchiveWriteFilter3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_filter.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_filter.3 > ManPageArchiveWriteFilter3.wiki

ManPageArchiveWriteFinishEntry3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_finish_entry.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_finish_entry.3 > ManPageArchiveWriteFinishEntry3.wiki

ManPageArchiveWriteFormat3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_format.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_format.3 > ManPageArchiveWriteFormat3.wiki

ManPageArchiveWriteFree3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_free.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_free.3 > ManPageArchiveWriteFree3.wiki

ManPageArchiveWriteHeader3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_header.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_header.3 > ManPageArchiveWriteHeader3.wiki

ManPageArchiveWriteNew3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_new.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_new.3 > ManPageArchiveWriteNew3.wiki

ManPageArchiveWriteOpen3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_open.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_open.3 > ManPageArchiveWriteOpen3.wiki

ManPageArchiveWriteSetOptions3.wiki: ../mdoc2wiki.awk ../../libarchive/archive_write_set_options.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/archive_write_set_options.3 > ManPageArchiveWriteSetOptions3.wiki

ManPageCpio5.wiki: ../mdoc2wiki.awk ../../libarchive/cpio.5
	awk -f ../mdoc2wiki.awk < ../../libarchive/cpio.5 > ManPageCpio5.wiki

ManPageLibarchive3.wiki: ../mdoc2wiki.awk ../../libarchive/libarchive.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/libarchive.3 > ManPageLibarchive3.wiki

ManPageLibarchiveChanges3.wiki: ../mdoc2wiki.awk ../../libarchive/libarchive_changes.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/libarchive_changes.3 > ManPageLibarchiveChanges3.wiki

ManPageLibarchiveFormats5.wiki: ../mdoc2wiki.awk ../../libarchive/libarchive-formats.5
	awk -f ../mdoc2wiki.awk < ../../libarchive/libarchive-formats.5 > ManPageLibarchiveFormats5.wiki

ManPageLibarchiveInternals3.wiki: ../mdoc2wiki.awk ../../libarchive/libarchive_internals.3
	awk -f ../mdoc2wiki.awk < ../../libarchive/libarchive_internals.3 > ManPageLibarchiveInternals3.wiki

ManPageMtree5.wiki: ../mdoc2wiki.awk ../../libarchive/mtree.5
	awk -f ../mdoc2wiki.awk < ../../libarchive/mtree.5 > ManPageMtree5.wiki

ManPageTar5.wiki: ../mdoc2wiki.awk ../../libarchive/tar.5
	awk -f ../mdoc2wiki.awk < ../../libarchive/tar.5 > ManPageTar5.wiki

ManPageBsdtar1.wiki: ../mdoc2wiki.awk ../../tar/bsdtar.1
	awk -f ../mdoc2wiki.awk < ../../tar/bsdtar.1 > ManPageBsdtar1.wiki

ManPageBsdcpio1.wiki: ../mdoc2wiki.awk ../../cpio/bsdcpio.1
	awk -f ../mdoc2wiki.awk < ../../cpio/bsdcpio.1 > ManPageBsdcpio1.wiki
all: ManPageArchiveEntry3.wiki ManPageArchiveEntryAcl3.wiki ManPageArchiveEntryLinkify3.wiki ManPageArchiveEntryPaths3.wiki ManPageArchiveEntryPerms3.wiki ManPageArchiveEntryStat3.wiki ManPageArchiveEntryTime3.wiki ManPageArchiveRead3.wiki ManPageArchiveReadData3.wiki ManPageArchiveReadDisk3.wiki ManPageArchiveReadExtract3.wiki ManPageArchiveReadFilter3.wiki ManPageArchiveReadFormat3.wiki ManPageArchiveReadFree3.wiki ManPageArchiveReadHeader3.wiki ManPageArchiveReadNew3.wiki ManPageArchiveReadOpen3.wiki ManPageArchiveReadSetOptions3.wiki ManPageArchiveUtil3.wiki ManPageArchiveWrite3.wiki ManPageArchiveWriteBlocksize3.wiki ManPageArchiveWriteData3.wiki ManPageArchiveWriteDisk3.wiki ManPageArchiveWriteFilter3.wiki ManPageArchiveWriteFinishEntry3.wiki ManPageArchiveWriteFormat3.wiki ManPageArchiveWriteFree3.wiki ManPageArchiveWriteHeader3.wiki ManPageArchiveWriteNew3.wiki ManPageArchiveWriteOpen3.wiki ManPageArchiveWriteSetOptions3.wiki ManPageCpio5.wiki ManPageLibarchive3.wiki ManPageLibarchiveChanges3.wiki ManPageLibarchiveFormats5.wiki ManPageLibarchiveInternals3.wiki ManPageMtree5.wiki ManPageTar5.wiki ManPageBsdtar1.wiki ManPageBsdcpio1.wiki

=== libarchive/test/CMakeLists.txt ===
############################################
#
# How to build libarchive_test
#
############################################
IF(ENABLE_TEST)
  SET(libarchive_test_SOURCES
    ../../test_utils/test_utils.c
   main.c
    read_open_memory.c
    test.h
    test_acl_freebsd_posix1e.c
    test_acl_freebsd_nfs4.c
    test_acl_nfs4.c
    test_acl_pax.c
    test_acl_posix1e.c
    test_archive_api_feature.c
    test_archive_clear_error.c
    test_archive_cmdline.c
    test_archive_crypto.c
    test_archive_getdate.c
    test_archive_match_owner.c
    test_archive_match_path.c
    test_archive_match_time.c
    test_archive_pathmatch.c
    test_archive_read_close_twice.c
    test_archive_read_close_twice_open_fd.c
    test_archive_read_close_twice_open_filename.c
    test_archive_read_multiple_data_objects.c
    test_archive_read_next_header_empty.c
    test_archive_read_next_header_raw.c
    test_archive_read_open2.c
    test_archive_read_set_filter_option.c
    test_archive_read_set_format_option.c
    test_archive_read_set_option.c
    test_archive_read_set_options.c
    test_archive_read_support.c
    test_archive_set_error.c
    test_archive_string.c
    test_archive_string_conversion.c
    test_archive_write_add_filter_by_name.c
    test_archive_write_set_filter_option.c
    test_archive_write_set_format_by_name.c
    test_archive_write_set_format_option.c
    test_archive_write_set_option.c
    test_archive_write_set_options.c
    test_bad_fd.c
    test_compat_bzip2.c
    test_compat_cpio.c
    test_compat_gtar.c
    test_compat_gzip.c
    test_compat_lzip.c
    test_compat_lzma.c
    test_compat_lzop.c
    test_compat_mac.c
    test_compat_pax_libarchive_2x.c
    test_compat_solaris_tar_acl.c
    test_compat_solaris_pax_sparse.c
    test_compat_tar_hardlink.c
    test_compat_uudecode.c
    test_compat_xz.c
    test_compat_zip.c
    test_empty_write.c
    test_entry.c
    test_entry_strmode.c
    test_extattr_freebsd.c
    test_filter_count.c
    test_fuzz.c
    test_gnutar_filename_encoding.c
    test_link_resolver.c
    test_open_failure.c
    test_open_fd.c
    test_open_file.c
    test_open_filename.c
    test_pax_filename_encoding.c
    test_read_data_large.c
    test_read_disk.c
    test_read_disk_directory_traversals.c
    test_read_disk_entry_from_file.c
    test_read_extract.c
    test_read_file_nonexistent.c
    test_read_filter_grzip.c
    test_read_filter_lrzip.c
    test_read_filter_lzop.c
    test_read_filter_lzop_multiple_parts.c
    test_read_filter_program.c
    test_read_filter_program_signature.c
    test_read_filter_uudecode.c
    test_read_format_7zip.c
    test_read_format_ar.c
    test_read_format_cab.c
    test_read_format_cab_filename.c
    test_read_format_cpio_afio.c
    test_read_format_cpio_bin.c
    test_read_format_cpio_bin_Z.c
    test_read_format_cpio_bin_be.c
    test_read_format_cpio_bin_bz2.c
    test_read_format_cpio_bin_gz.c
    test_read_format_cpio_bin_lzip.c
    test_read_format_cpio_bin_lzma.c
    test_read_format_cpio_bin_xz.c
    test_read_format_cpio_filename.c
    test_read_format_cpio_odc.c
    test_read_format_cpio_svr4_bzip2_rpm.c
    test_read_format_cpio_svr4_gzip.c
    test_read_format_cpio_svr4_gzip_rpm.c
    test_read_format_cpio_svr4c_Z.c
    test_read_format_empty.c
    test_read_format_gtar_filename.c
    test_read_format_gtar_gz.c
    test_read_format_gtar_lzma.c
    test_read_format_gtar_sparse.c
    test_read_format_iso_Z.c
    test_read_format_iso_multi_extent.c
    test_read_format_iso_xorriso.c
    test_read_format_isojoliet_bz2.c
    test_read_format_isojoliet_long.c
    test_read_format_isojoliet_rr.c
    test_read_format_isojoliet_versioned.c
    test_read_format_isorr_bz2.c
    test_read_format_isorr_ce.c
    test_read_format_isorr_new_bz2.c
    test_read_format_isorr_rr_moved.c
    test_read_format_isozisofs_bz2.c
    test_read_format_lha.c
    test_read_format_lha_filename.c
    test_read_format_mtree.c
    test_read_format_pax_bz2.c
    test_read_format_rar.c
    test_read_format_raw.c
    test_read_format_tar.c
    test_read_format_tar_empty_filename.c
    test_read_format_tar_filename.c
    test_read_format_tbz.c
    test_read_format_tgz.c
    test_read_format_tlz.c
    test_read_format_txz.c
    test_read_format_tz.c
    test_read_format_ustar_filename.c
    test_read_format_xar.c
    test_read_format_zip.c
    test_read_format_zip_comment_stored.c
    test_read_format_zip_filename.c
    test_read_format_zip_mac_metadata.c
    test_read_format_zip_sfx.c
    test_read_large.c
    test_read_pax_truncated.c
    test_read_position.c
    test_read_set_format.c
    test_read_truncated.c
    test_read_truncated_filter.c
    test_sparse_basic.c
    test_tar_filenames.c
    test_tar_large.c
    test_ustar_filenames.c
    test_ustar_filename_encoding.c
    test_write_disk.c
    test_write_disk_appledouble.c
    test_write_disk_failures.c
    test_write_disk_hardlink.c
    test_write_disk_hfs_compression.c
    test_write_disk_lookup.c
    test_write_disk_mac_metadata.c
    test_write_disk_no_hfs_compression.c
    test_write_disk_perms.c
    test_write_disk_secure.c
    test_write_disk_sparse.c
    test_write_disk_symlink.c
    test_write_disk_times.c
    test_write_filter_b64encode.c
    test_write_filter_bzip2.c
    test_write_filter_compress.c
    test_write_filter_gzip.c
    test_write_filter_gzip_timestamp.c
    test_write_filter_lrzip.c
    test_write_filter_lzip.c
    test_write_filter_lzma.c
    test_write_filter_lzop.c
    test_write_filter_program.c
    test_write_filter_uuencode.c
    test_write_filter_xz.c
    test_write_format_7zip.c
    test_write_format_7zip_empty.c
    test_write_format_7zip_large.c
    test_write_format_ar.c
    test_write_format_cpio.c
    test_write_format_cpio_empty.c
    test_write_format_cpio_newc.c
    test_write_format_cpio_odc.c
    test_write_format_gnutar.c
    test_write_format_iso9660.c
    test_write_format_iso9660_boot.c
    test_write_format_iso9660_empty.c
    test_write_format_iso9660_filename.c
    test_write_format_iso9660_zisofs.c
    test_write_format_mtree.c
    test_write_format_mtree_absolute_path.c
    test_write_format_mtree_classic.c
    test_write_format_mtree_classic_indent.c
    test_write_format_mtree_fflags.c
    test_write_format_mtree_no_separator.c
    test_write_format_mtree_quoted_filename.c
    test_write_format_pax.c
    test_write_format_shar_empty.c
    test_write_format_tar.c
    test_write_format_tar_empty.c
    test_write_format_tar_sparse.c
    test_write_format_tar_ustar.c
    test_write_format_tar_v7tar.c
    test_write_format_xar.c
    test_write_format_xar_empty.c
    test_write_format_zip.c
    test_write_format_zip_empty.c
    test_write_format_zip_no_compression.c
    test_write_zip_set_compression_store.c
    test_write_open_memory.c
    test_zip_filename_encoding.c
  )

  #
  # Register target
  #
  ADD_EXECUTABLE(libarchive_test ${libarchive_test_SOURCES})
  TARGET_LINK_LIBRARIES(libarchive_test archive_static ${ADDITIONAL_LIBS})
  SET_PROPERTY(TARGET libarchive_test PROPERTY COMPILE_DEFINITIONS
    LIBARCHIVE_STATIC LIST_H)

  #
  # Generate list.h by grepping DEFINE_TEST() lines out of the C sources.
  #
  GENERATE_LIST_H(${CMAKE_CURRENT_BINARY_DIR}/list.h
    ${CMAKE_CURRENT_LIST_FILE} ${libarchive_test_SOURCES})
  SET_PROPERTY(DIRECTORY APPEND PROPERTY INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_BINARY_DIR})

  # list.h has a line DEFINE_TEST(testname) for every
  # test.  We can use that to define the tests for cmake by
  # defining a DEFINE_TEST macro and reading list.h in.
  MACRO (DEFINE_TEST _testname)
    ADD_TEST(
      NAME libarchive_${_testname}
      COMMAND libarchive_test -vv
                              -r ${CMAKE_CURRENT_SOURCE_DIR}
                              ${_testname})
  ENDMACRO (DEFINE_TEST _testname)

  INCLUDE(${CMAKE_CURRENT_BINARY_DIR}/list.h)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
  INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/test_utils)

  # Experimental new test handling
  ADD_CUSTOM_TARGET(run_libarchive_test
	COMMAND	libarchive_test -r ${CMAKE_CURRENT_SOURCE_DIR})
  ADD_DEPENDENCIES(run_all_tests run_libarchive_test)
ENDIF(ENABLE_TEST)

=== debian/changelog ===
libarchive (3.1.2-8~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 08 Jun 2014 18:06:37 +0800

libarchive (3.1.2-8) unstable; urgency=medium

  [ Michael Terry ]
  * Fix DEP8 minitar test to use application/gzip (Closes: #731962)

  [ Daniel Schepler ]
  * Implement DEB_BUILD_OPTIONS=nocheck (Closes: #738159)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Feb 2014 22:53:33 +0100

libarchive (3.1.2-7) unstable; urgency=low

  * Upload to unstable.

 -- Andres Mejia <amejia@debian.org>  Sat, 25 May 2013 16:07:06 -0400

libarchive (3.1.2-6) experimental; urgency=low

  [ Andreas Henriksson ]
  * Merge debian-wheezy branch containing package revision 3.0.4-3.

  [ Andres Mejia ]
  * Remove gbp config overrides.
  * Remove lrzip build dependency as test cases fail on certain architectures.

 -- Andres Mejia <amejia@debian.org>  Tue, 07 May 2013 21:44:50 -0400

libarchive (3.1.2-5) experimental; urgency=low

  * Update patch to fix LZO test cases to use changes from upstream.
  * Update homepage field for new homepage URL.
  * Add upstream changes to fix building libarchive with lrzip support.

 -- Andres Mejia <amejia@debian.org>  Sun, 24 Feb 2013 16:44:32 -0500

libarchive (3.1.2-4) experimental; urgency=low

  * Add mtree filename length fix from upstream.
  * Add fix for LZO test cases.
  * Renable LZO support.
  * Bump Standards-Version to 3.9.4.

 -- Andres Mejia <amejia@debian.org>  Sat, 23 Feb 2013 23:44:26 -0500

libarchive (3.1.2-3) experimental; urgency=low

  * Update gbp.conf to point to branches used for libarchive packaging in
    experimental.
  * Disable LZO support, it is broken on some architectures.

 -- Andres Mejia <amejia@debian.org>  Sun, 10 Feb 2013 12:43:35 -0500

libarchive (3.1.2-2) experimental; urgency=low

  * Update patches to use changes applied upstream.

 -- Andres Mejia <amejia@debian.org>  Sat, 09 Feb 2013 15:13:20 -0500

libarchive (3.1.2-1) experimental; urgency=low

  * New upstream release.
  * Enable LZO support.

 -- Andres Mejia <amejia@debian.org>  Sat, 09 Feb 2013 13:37:34 -0500

libarchive (3.1.1-1) experimental; urgency=low

  * New upstream release.

 -- Andres Mejia <amejia@debian.org>  Wed, 16 Jan 2013 17:06:36 -0500

libarchive (3.1.0-1) experimental; urgency=low

  [ Benjamin Drung ]
  * Add autopkgtest (LP: #1073390).

  [ Martin Pitt ]
  * Add examples-offset-type.patch: Fix offset data type in examples.

  [ Andres Mejia ]
  * New upstream release.

 -- Andres Mejia <amejia@debian.org>  Sun, 13 Jan 2013 22:00:14 -0500

=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Debian Libarchive Maintainers <ah-libarchive@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev [!hurd-any],
               e2fslibs-dev,
               libattr1-dev,
               sharutils,
               nettle-dev,
               liblzo2-dev,
               locales | locales-all
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.libarchive.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libarchive.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libarchive.git
XS-Testsuite: autopkgtest

Package: libarchive-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive13 (= ${binary:Version}), ${misc:Depends}
Replaces: libarchive1 (<< 2.8.5-3)
Breaks: libarchive1 (<< 2.8.5-3)
Description: Multi-format archive and compression library (development files)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
 .
 This package provides the files necessary for development with libarchive.

Package: libarchive13
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lrzip
Description: Multi-format archive and compression library (shared library)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
 .
 This package provides the libarchive shared library.

Package: bsdtar
Architecture: any
Depends: libarchive13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: Implementation of the 'tar' program from FreeBSD
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats.

Package: bsdcpio
Architecture: any
Depends: libarchive13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: Implementation of the 'cpio' program from FreeBSD
 The bsdcpio program is the default system 'cpio' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: build

%:
	dh $@ --parallel

build:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --without-openssl --with-nettle \
		--enable-bsdtar=shared --enable-bsdcpio=shared

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(shell locale -a | grep en_US.utf8))
	_VERBOSITY_LEVEL=1 dh_auto_test --parallel
else
	mkdir -p tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 \
		-A /usr/share/locale/locale.alias tmp-locales/en_US.UTF-8
	_VERBOSITY_LEVEL=1 LOCPATH=$(CURDIR)/tmp-locales dh_auto_test --parallel
	rm -rf tmp-locales
endif
endif
